Retrieve Services for the Requested Center

This API fetches services from the requested center. Based on certain query parameters like campaign_id and campaign_code, you can get additional information such as campaign-based discounted price information of the services.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Model

ServiceInfo

Json PropertyData TypeDescription
price_infoServicePriceInfoContains details of the price for a service
campaign_infoCampaignInfoCampaign Info Model per service (Nullable)

price_info object (ServicePriceInfo)

Json PropertyData TypeDescription
taxdecimalTax being applied on the service (Nullable)
price_without_taxdecimalPrice without tax
final_pricedecimalFinal price that will be applicable on the guest

campaign_info object (CampaignInfo)

Json PropertyData TypeDescription
campaign_namestringName of the Campaign being applied on the service
campaign_idGuid?Id of the Campaign being applied on the service (Nullable)
discount_typeintType of discount being applied on the service
discount_percentagedecimalPercentage of discount being applied on the service (Nullable)
discountdecimalValue of discount being applied on the service (Nullable)
discounted_pricedecimalDiscounted price after applying the campaign (Nullable)
currency_idint?Currency Id (Nullable)
sales_pricedecimalSales Price of the service after applying the campaign (Nullable)
tax_idGuid?Tax Id (Nullable)
taxdecimalTax on the service after applying the campaign (Nullable)
price_without_taxdecimal?Price without tax on the service after applying the campaign (Nullable)
final_pricedecimal?Final Price of the service after applying the campaign (Nullable)
Path Params
string
required

It is the unique identifier of center where the services are being availed.

Query Params
string

It is the unique identifier of the campaign to be applied on a list of services.

string

It is the unique code of the campaign to be applied on a list of services.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json